diff --git a/zebra/interface.c b/zebra/interface.c
index 231ddc51dbec..7c5160790be9 100644
--- a/zebra/interface.c
+++ b/zebra/interface.c
@@ -199,6 +199,7 @@ static void if_nhg_dependents_release(const struct interface *ifp)
 static int if_zebra_delete_hook(struct interface *ifp)
 {
 	struct zebra_if *zebra_if;
+	struct zebra_l2info_bond *bond;
 
 	if (ifp->info) {
 		zebra_if = ifp->info;
@@ -216,6 +217,9 @@ static int if_zebra_delete_hook(struct interface *ifp)
 
 		rtadv_if_fini(zebra_if);
 
+		bond = &zebra_if->bond_info;
+		list_delete(&bond->mbr_zifs);
+		
 		zebra_l2_bridge_if_cleanup(ifp);
 		zebra_evpn_if_cleanup(zebra_if);
 		zebra_evpn_mac_ifp_del(ifp);
